Package Details: python-deepdiff 5.0.2-1

Git Clone URL: https://aur.archlinux.org/python-deepdiff.git (read-only, click to copy)
Package Base: python-deepdiff
Description: Deep Difference of dictionaries, iterables, strings and other objects. It will recursively look for all the changes.
Upstream URL: https://github.com/seperman/deepdiff
Licenses: MIT
Submitter: ChrisOelmueller
Maintainer: ChrisOelmueller
Last Packager: ChrisOelmueller
Votes: 2
Popularity: 0.000008
First Submitted: 2018-05-29 11:38
Last Updated: 2020-08-24 11:55

Pinned Comments

ChrisOelmueller commented on 2020-08-24 11:59

I'm no longer actively using this package, but will keep updating it when I become aware of new releases. That being said, the major update to Deepdiff 5.0 has been incorporated into the package now.

If somebody feels they can do a better job, or depends on more regular maintenance, feel free to reach out to me :)

Latest Comments

ChrisOelmueller commented on 2020-08-24 11:59

I'm no longer actively using this package, but will keep updating it when I become aware of new releases. That being said, the major update to Deepdiff 5.0 has been incorporated into the package now.

If somebody feels they can do a better job, or depends on more regular maintenance, feel free to reach out to me :)

Kernald commented on 2020-05-20 08:38

This has a missing build dependency on python-setuptools:

==> Starting build()... Traceback (most recent call last): File "setup.py", line 3, in <module> from setuptools import setup ModuleNotFoundError: No module named 'setuptools' ==> ERROR: A failure occurred in build().

ChrisOelmueller commented on 2019-11-30 15:00

I've updated the OrderedSet requirement source, removed a few no-longer-needed hacks and brought the package to 4.0.9 while at it. Thank you!

sumner commented on 2019-11-20 06:27

The dependency for this needs to be python-ordered-set rather than python-orderedset (notice the dash) as demonstrated by the requirements for python-deepdiff listed here: https://github.com/seperman/deepdiff/blob/master/requirements.txt.